includes {rmarkdown} | R Documentation

## Include content within output

### Description

Specify additional content to be included within an output document.

### Usage

    includes(in_header = NULL, before_body = NULL, after_body = NULL)

    includes_to_pandoc_args(includes, filter = identity)

### Arguments

`in_header` | One or more files with content to be included in the header of the document.
`before_body` | One or more files with content to be included before the document body.
`after_body` | One or more files with content to be included after the document body.
`includes` | Includes to convert to pandoc ars
`filter` | Filter to pre-process includes with

### Details

Non-absolute paths for resources referenced from the `in_header`, `before_body`, and `after_body` parameters are resolved relative to the directory of the input document.

### Value

Includes list or pandoc args

### Examples

    ## Not run:

    library(rmarkdown)

    html_document(includes = includes(before_body = "header.htm"))

    pdf_document(includes = includes(after_body = "footer.tex"))

    ## End(Not run)

[Package rmarkdown version 1.2 Index]